org.apache.ignite.internal.client.thin

## Class ClientCacheEntryListenerHandler<K,V>

- java.lang.Object
- - org.apache.ignite.internal.client.thin.ClientCacheEntryListenerHandler<K,V>

All Implemented Interfaces:
  AutoCloseable

    public class ClientCacheEntryListenerHandler<K,V>
    extends Object
    implements AutoCloseable

Handler for `ContinuousQuery` listeners and JCache cache entry listeners.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `acceptNotification(ByteBuffer payload, Exception err)` Accept notification.
`org.apache.ignite.internal.client.thin.ClientChannel` `clientChannel()` Client channel.
`void` `close()`
`void` `onChannelClosed(Exception reason)` Handles connection loss.
`void` `startListen(javax.cache.event.CacheEntryUpdatedListener<K,V> locLsnr, ClientDisconnectListener disconnectLsnr, javax.cache.configuration.Factory<? extends javax.cache.event.CacheEntryEventFilter<? super K,? super V>> rmtFilterFactory, int pageSize, long timeInterval, boolean includeExpired)` Send request to the server and start

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### startListen

    public void startListen(javax.cache.event.CacheEntryUpdatedListener<K,V> locLsnr,
                            ClientDisconnectListener disconnectLsnr,
                            javax.cache.configuration.Factory<? extends javax.cache.event.CacheEntryEventFilter<? super K,? super V>> rmtFilterFactory,
                            int pageSize,
                            long timeInterval,
                            boolean includeExpired)

Send request to the server and start

#### acceptNotification

    public void acceptNotification(ByteBuffer payload,
                                   Exception err)

Accept notification.

Parameters:
  `payload` - Notification payload or `null` if there is no payload.
  `err` - Error.

#### onChannelClosed

    public void onChannelClosed(Exception reason)

Handles connection loss.

Parameters:
  `reason` - Exception that caused the disconnect, can be `null`.

#### close

    public void close()

Specified by:
  `close` in interface `AutoCloseable`

#### clientChannel

    public org.apache.ignite.internal.client.thin.ClientChannel clientChannel()

Client channel.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023